Bug 45668 - umc cannot handle journaled quota
umc cannot handle journaled quota
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Quota
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Felix Botner
Florian Best
:
Depends on:
Blocks: 47764
  Show dependency treegraph
 
Reported: 2017-11-08 12:57 CET by Christina Scheinig
Modified: 2018-09-07 13:19 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.069
Enterprise Customer affected?:
School Customer affected?: Yes
ISV affected?:
Waiting Support:
Ticket number: 2017102521000382
Bug group (optional):
Max CVSS v3 score:


Attachments
umc/python/quota/user.py (760 bytes, patch)
2017-11-23 14:12 CET, Felix Botner
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christina Scheinig univentionstaff 2017-11-08 12:57:20 CET
A customer reported, that it is not possible to view quota in the UMC.
The following message is shown

The following partition is mounted without quota support:
/dev/VG02/homes

The configuration in /etc/fstab

/dev/VG02/	/home/homes	ext4	defaults,acl,user_xattr,usrjquota=aquota.user,jqfmt=vfsv1	0	2	

The customer uses usrjquota instead of usrquota.
Comment 1 Felix Botner univentionstaff 2017-11-23 14:12:43 CET
Created attachment 9286 [details]
umc/python/quota/user.py

patch to fix umc
Comment 2 Florian Best univentionstaff 2017-11-23 14:20:25 CET
(In reply to Felix Botner from comment #1)
> Created attachment 9286 [details]
> umc/python/quota/user.py
> 
> patch to fix umc

Feel free to merge.
Comment 3 Mathieu Simon 2017-11-27 09:06:41 CET
Looks good to me either, tested on 4.2-2 Errata 198 without noticing regressions.

Looking forward for integration so that we can remove this manual patch that is currently applied at that customer.

-- Mathieu
Comment 4 Felix Botner univentionstaff 2017-11-30 17:23:11 CET
fixed

univention-quota.yaml 11.0.0-7A~4.2.0.201711301716
Comment 5 Florian Best univentionstaff 2017-12-01 17:23:00 CET
I have no clue about usrjquota.

If I enter the option usrjquota=aquota.user in /etc/fstab the UMC module still shows the partition as deactivated (remount required?!).
If I activate it, then the fstab entry has just another "usrquota" option. /etc/mtab still has no usrjquota.
If I reboot the server I end up in / as mount only read only, dmesg shows:
[Fr Dez  1 17:16:50 2017] EXT4-fs (dm-0): journaled quota format not specified

Do I need to install another package?
Comment 6 Felix Botner univentionstaff 2017-12-04 13:17:09 CET
(In reply to Florian Best from comment #5)
> I have no clue about usrjquota.
> 
> If I enter the option usrjquota=aquota.user in /etc/fstab the UMC module
> still shows the partition as deactivated (remount required?!).
> If I activate it, then the fstab entry has just another "usrquota" option.
> /etc/mtab still has no usrjquota.
> If I reboot the server I end up in / as mount only read only, dmesg shows:
> [Fr Dez  1 17:16:50 2017] EXT4-fs (dm-0): journaled quota format not
> specified
> 
> Do I need to install another package?


 * add to /etc/fstab 
  usrjquota=aquota.user,grpjquota=aquota.group,jqfmt=vfsv0 
 * reboot/remount
 * -> quotaoff -guvp -a
   -> quotacheck -cguvamf -F vfsv0
   -> edquota Administrator
Comment 7 Florian Best univentionstaff 2017-12-04 17:53:00 CET
OK: partition is detected as quota-enabled with the usrjquota=aquota.user option.
OK: YAML
Comment 8 Arvid Requate univentionstaff 2017-12-06 15:40:21 CET
<http://errata.software-univention.de/ucs/4.2/235.html>